﻿using System;

using Akka.Actor;
using Akka.Configuration;

namespace TestServer
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            string hocon = @"
akka
{  
    actor
    {
        provider = remote
    }
    remote
    {
        dot-netty.tcp
        {
            port            = 9999
            hostname        = 0.0.0.0
            public-hostname = localhost
        }
    }
}
";

            Config config = ConfigurationFactory.ParseString(hocon);

            using(ActorSystem actorSystem = ActorSystem.Create("TestServer", config))
            {
                actorSystem.ActorOf(Props.Create(() => new ChatServerActor()), "ChatServer");

                Console.ReadLine();
            }
        }

        #endregion
    }
}